Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.math.parser
Interface ParserConstants

All Known Implementing Classes:
  Parser, ParserTokenManager

public interface ParserConstants

Field Summary
`static int` | `AND`
`static int` | `ASSIGNMENT`
`static int` | `DECIMAL_LITERAL`
`static int` | `DEFAULT`
`static int` | `DIFF`
`static int` | `DIGIT`
`static int` | `DIV`
`static int` | `EOF`
`static int` | `EQ`
`static int` | `EXPONENT`
`static int` | `FLOATING_POINT_LITERAL`
`static int` | `FUNCTION`
`static int` | `GE`
`static int` | `GT`
`static int` | `IDENTIFIER`
`static int` | `INTEGER_LITERAL`
`static int` | `LE`
`static int` | `LETTER`
`static int` | `LT`
`static int` | `MINUS`
`static int` | `MUL`
`static int` | `NE`
`static int` | `NOT`
`static int` | `OR`
`static int` | `PIECEWISE`
`static int` | `PLUS`
`static int` | `POWER`
`static int` | `STRING_LITERAL`
`static java.lang.String[]` | `tokenImage`
`static int` | `XOR`

Field Detail

### EOF

    public static final int EOF

See Also:
  Constant Field Values

### FUNCTION

    public static final int FUNCTION

See Also:
  Constant Field Values

### DIFF

    public static final int DIFF

See Also:
  Constant Field Values

### PIECEWISE

    public static final int PIECEWISE

See Also:
  Constant Field Values

### XOR

    public static final int XOR

See Also:
  Constant Field Values

### INTEGER_LITERAL

    public static final int INTEGER_LITERAL

See Also:
  Constant Field Values

### DECIMAL_LITERAL

    public static final int DECIMAL_LITERAL

See Also:
  Constant Field Values

### FLOATING_POINT_LITERAL

    public static final int FLOATING_POINT_LITERAL

See Also:
  Constant Field Values

### EXPONENT

    public static final int EXPONENT

See Also:
  Constant Field Values

### STRING_LITERAL

    public static final int STRING_LITERAL

See Also:
  Constant Field Values

### IDENTIFIER

    public static final int IDENTIFIER

See Also:
  Constant Field Values

### LETTER

    public static final int LETTER

See Also:
  Constant Field Values

### DIGIT

    public static final int DIGIT

See Also:
  Constant Field Values

### GT

    public static final int GT

See Also:
  Constant Field Values

### LT

    public static final int LT

See Also:
  Constant Field Values

### EQ

    public static final int EQ

See Also:
  Constant Field Values

### LE

    public static final int LE

See Also:
  Constant Field Values

### GE

    public static final int GE

See Also:
  Constant Field Values

### NE

    public static final int NE

See Also:
  Constant Field Values

### AND

    public static final int AND

See Also:
  Constant Field Values

### OR

    public static final int OR

See Also:
  Constant Field Values

### PLUS

    public static final int PLUS

See Also:
  Constant Field Values

### MINUS

    public static final int MINUS

See Also:
  Constant Field Values

### MUL

    public static final int MUL

See Also:
  Constant Field Values

### DIV

    public static final int DIV

See Also:
  Constant Field Values

### NOT

    public static final int NOT

See Also:
  Constant Field Values

### POWER

    public static final int POWER

See Also:
  Constant Field Values

### ASSIGNMENT

    public static final int ASSIGNMENT

See Also:
  Constant Field Values

### DEFAULT

    public static final int DEFAULT

See Also:
  Constant Field Values

### tokenImage

    public static final java.lang.String[] tokenImage

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.